commit:     0b8c5f2a8a8adcf71917b3828a9edc3fffbfd98b
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 26 07:13:06 2016 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Mon Sep 26 22:32:48 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b8c5f2a

app-admin/packagekit-base: version bump 1.1.1 → 1.1.4

Also inherit xdg eclass.

Gentoo-bug: 586758

Package-Manager: portage-2.3.1

 app-admin/packagekit-base/Manifest                 |   1 +
 .../packagekit-base/packagekit-base-1.1.4.ebuild   | 117 +++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/app-admin/packagekit-base/Manifest 
b/app-admin/packagekit-base/Manifest
index 9e1ecf8..9c5dff0 100644
--- a/app-admin/packagekit-base/Manifest
+++ b/app-admin/packagekit-base/Manifest
@@ -1,3 +1,4 @@
 DIST PackageKit-0.8.15.tar.xz 1506084 SHA256 
76aa44994d63b403b1f1154406539951502f5ab92624a8a7dedbeb5437ed0af5 SHA512 
d6a1a4582212b02350b8a5ab8413346b0b33a49d329d3c5c4314e3db0c7c40b891d64d275c3acd8eafc45a59462b537cd031919027db2176502861271ce34a02
 WHIRLPOOL 
bcc75e8a05b5616fbec1a2772af53ae51cf8c44a9feda4ca9cff4567f274aed62d3cf01751ab89834f423b77a74dcc1445c32390c323a46bb4340cde568760ce
 DIST PackageKit-1.0.11.tar.xz 1427404 SHA256 
bbd27bbc77795394f25ab009fe1b3420e365541c99248b18bbaa2fa7f029eaf7 SHA512 
9529037685f76e883a71ae502eabd83c3e1e8905f76cfe5e938760677f0224f8758bca59e139588aa06589bcca7a20f13dea0fe419022cb950c7a4c631237bce
 WHIRLPOOL 
8d9bebf55acdff2096bb750bc1f3028cdbbb8e0fd09926de69c7e3dcbd7fe56a2908709be01633dd5a61df80afab05b28d8f424b1bbb79454f503cd03301e56a
 DIST PackageKit-1.1.1.tar.xz 1410632 SHA256 
483348a54c92419d713a8a153926ec6e1ab70ba64ae4afd3f0a6d63d10b1cac4 SHA512 
caf9b67f71a36479d32338c28343671e9586aade7a0f777b867772ad8da8e3206bf66a46b2fa2cba8f0f48af27db3888b68e336707db6f76c5e0dbed464e2874
 WHIRLPOOL 
0a09233580b50f391931760960c3fe8a644797b24c15a79d56bdbfdadde835856f81175e209ad6877c49387c946c8765418eef28fc1fd188eb5d5d5a383fd1ad
+DIST PackageKit-1.1.4.tar.xz 1424756 SHA256 
0ae89f7c381b7def41960f690f7212cf80f7f6bfc9055ce8d0c84aa45f120cd9 SHA512 
fc04d58c46f7e7dbb1386d26627ea246b5f21b8483862788bb734b8a137e4cb1d41de0f471b46f6d649e29337f9605acba0568a845577b27a2ac0faaf391b187
 WHIRLPOOL 
f76a446eb64721cb718fe250d710aaf4e0d801bddb44835a7a0327ed250150928d717bb037d23c758eb6bfb752b77aea4bb5a14c8df58b964e008f2260e45736

diff --git a/app-admin/packagekit-base/packagekit-base-1.1.4.ebuild 
b/app-admin/packagekit-base/packagekit-base-1.1.4.ebuild
new file mode 100644
index 00000000..223d4ed
--- /dev/null
+++ b/app-admin/packagekit-base/packagekit-base-1.1.4.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+# PackageKit supports 3.2+, but entropy and portage backends are untested
+# Future note: use --enable-python3
+PYTHON_COMPAT=( python2_7 )
+VALA_USE_DEPEND="vapigen"
+
+inherit bash-completion-r1 multilib python-single-r1 systemd vala xdg
+
+MY_PN="PackageKit"
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Manage packages in a secure way using a cross-distro and 
cross-architecture API"
+HOMEPAGE="http://www.packagekit.org/";
+SRC_URI="https://www.freedesktop.org/software/${MY_PN}/releases/${MY_P}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0/18"
+KEYWORDS="~alpha ~amd64 ~arm ~mips ~ppc ~ppc64 ~x86"
+IUSE="connman cron command-not-found +introspection networkmanager entropy 
systemd test vala"
+REQUIRED_USE="
+       ${PYTHON_REQUIRED_USE}
+       vala? ( introspection )
+"
+
+# While not strictly needed, consolekit is the alternative to systemd-login
+# to get current session's user.
+CDEPEND="
+       >=app-shells/bash-completion-2
+       dev-db/sqlite:3
+       >=dev-libs/dbus-glib-0.74
+       >=dev-libs/glib-2.46.0:2[${PYTHON_USEDEP}]
+       >=sys-auth/polkit-0.98
+       >=sys-apps/dbus-1.3.0
+       ${PYTHON_DEPS}
+       connman? ( net-misc/connman )
+       introspection? ( 
>=dev-libs/gobject-introspection-0.9.9:=[${PYTHON_USEDEP}] )
+       networkmanager? ( >=net-misc/networkmanager-0.6.4:= )
+       systemd? ( >=sys-apps/systemd-204 )
+"
+DEPEND="${CDEPEND}
+       dev-libs/libxslt[${PYTHON_USEDEP}]
+       >=dev-util/gtk-doc-am-1.11
+       >=dev-util/intltool-0.35.0
+       sys-devel/gettext
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )
+"
+RDEPEND="${CDEPEND}
+       >=app-portage/layman-2[${PYTHON_USEDEP}]
+       >=sys-apps/portage-2.2[${PYTHON_USEDEP}]
+       entropy? ( >=sys-apps/entropy-234[${PYTHON_USEDEP}] )
+       !systemd? ( sys-auth/consolekit )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       # Fixes QA Notices:
+       # - https://github.com/gentoo/gentoo/pull/1760
+       # - https://github.com/hughsie/PackageKit/issues/143
+       eapply "${FILESDIR}"/${PN}-1.1.1-cache-qafix.patch
+
+       # Disable unittests not working with portage backend
+       # console: requires terminal input
+       sed -e 's:^\(.*/packagekit-glib2/control\)://\1:' \
+               -e 's:^\(.*/packagekit-glib2/transaction-list\)://\1:' \
+               -e 's:^\(.*/packagekit-glib2/client"\)://\1:' \
+               -e 's:^\(.*/packagekit-glib2/package-sack\)://\1:' \
+               -e 's:^\(.*/packagekit-glib2/task\)://\1:' \
+               -e 's:^\(.*/packagekit-glib2/console\)://\1:' \
+               -i lib/packagekit-glib2/pk-test-daemon.c || die
+       sed -e 's:^\(.*/packagekit/spawn\)://\1:' \
+           -e 's:^\(.*/packagekit/transaction-db\)://\1:' \
+           -e 's:^\(.*/packagekit/backend\)://\1:' \
+               -i src/pk-self-test.c || die
+
+       eapply_user
+       use vala && vala_src_prepare
+       xdg_src_prepare
+}
+
+src_configure() {
+       econf \
+               --disable-gstreamer-plugin \
+               --disable-gtk-doc \
+               --disable-gtk-module \
+               --disable-schemas-compile \
+               --disable-static \
+               --enable-bash-completion \
+               --enable-man-pages \
+               --enable-nls \
+               --enable-portage \
+               --localstatedir=/var \
+               $(use_enable command-not-found) \
+               $(use_enable connman) \
+               $(use_enable cron) \
+               $(use_enable entropy) \
+               $(use_enable introspection) \
+               $(use_enable networkmanager) \
+               $(use_enable systemd) \
+               $(use_enable test daemon-tests) \
+               $(use_enable test local) \
+               $(use_enable vala) \
+               --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       prune_libtool_files --all
+
+       dodoc AUTHORS ChangeLog MAINTAINERS NEWS README
+}

Reply via email to